### Struct

# Soup MessageHeadersIter

since: 3.0

#### Description [src]

    struct SoupMessageHeadersIter {
      /* No available fields */
    }

An opaque type used to iterate over a %SoupMessageHeaders structure.

After intializing the iterator with `soup_message_headers_iter_init()`, call `soup_message_headers_iter_next()` to fetch data from it.

You may not modify the headers while iterating over them.

Available since: 3.0

#### Functions

###### soup_message_headers_iter_init

Initializes `iter` for iterating `hdrs`.

since: 3.0

#### Instance methods

###### soup_message_headers_iter_next

Yields the next name/value pair in the `SoupMessageHeaders` being iterated by `iter`.

since: 3.0